<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */
/*
 * Copyright 2004-2006 Project Guarana Development Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
/**
 * @package ficus.lang
 */
/**
 * @file PlatformInformation.php
 * @brief platform information
 * @author <a href="kent@guarana.cc">ISHITOYA Kentaro</a>
 * @version $Id: PlatformInformation.php 2 2007-07-11 10:37:48Z ishitoya $
 * 
 * fetch platform information that this script runs on.
 */

/**
 * @class Ficus_PlatformInformation
 */
class Ficus_PlatformInformation
{
    const WINDOWS = "Windows";
    const LINUX = "linux";
    const UNIX = "unix";

    public static function isWindows(){
        return (self::getOSInformation() == self::WINDOWS);
    }

    private function getOSInformation(){
        if(isset($_ENV["OS"])){
            $os = self::WINDOWS;
        }else if(isset($_ENV["OSTYPE"])){
            $os = self::LINUX;
        }else{
            $os = self::UNIX;
        }
        return $os;
    }
}
?>
